Bug 463291 - [LTC 6.0 FEAT] 201279:Use 1TB segments
[LTC 6.0 FEAT] 201279:Use 1TB segments
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Kevin W Monroe
Martin Jenner
: FutureFeature, Reopened
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-22 16:30 EDT by IBM Bug Proxy
Modified: 2009-09-23 18:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 18:09:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 16:30:58 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:25 EDT
1. Feature Overview:
Feature Id:	[201279]
a. Name of Feature:	Use 1TB segments
b. Feature Description
This makes the kernel use 1TB segments for all kernel mappings and for user addresses of 1TB and
above, on machines which support them (currently POWER5+, POWER6 and PA6T).

Additional Comments:	http://www.hpcwire.com/features/17883339.html

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Performance
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.24

3. Business Case
Performance improvement and also prerequisite   for 16GB huge pages.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):

Paul Mackerras, pmac@au1.ibm.com

IBM Manager:
Martin Schwenke, schwenke@au1.ibm.com
Comment 1 Bill Nottingham 2008-10-01 17:15:08 EDT
RHEL 6 will use a kernel newer than 2.6.24, so this should not be an issue.
Comment 2 Bill Nottingham 2008-10-01 22:09:25 EDT
The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 3 IBM Bug Proxy 2009-03-02 15:50:45 EST
this is in 2.6.24
sha1 id: 1189be6508d45183013ddb82b18f4934193de274
Comment 4 Kevin W Monroe 2009-09-23 18:09:00 EDT
Closing - included in Red Hat Enterprise Linux 6.

Note You need to log in before you can comment on or make changes to this bug.